Mozilla releases Firefox 10.0.1 update

Posted by:
Date: Sunday, February 12th, 2012, 21:55
Category: News, Software

elfirefox

On Tuesday, Mozilla.org released version 10.0.1 of its Firefox web browser. The new version stands as a 31.8 megabyte download and adds the following fixes and changes:

– FIXED: Java applets sometimes caused text input to become unresponsive (bug 718939).

– NEW: Most add-ons are now compatible with new versions of Firefox by default.

– NEW: The forward button is now hidden until you navigate back.

– NEW: Anti-Aliasing for WebGL is now implemented (see bug 615976).

– NEW: CSS3 3D-Transforms are now supported (see bug 505115).

HTML5: New element for bi-directional text isolation, along with supporting CSS properties (see bugs 613149 and 662288).

– HTML5: Full Screen APIs allow you to build a web application that runs full screen (see the feature page).

– DEVELOPER: We’ve added IndexedDB APIs to more closely match the specification.

– DEVELOPER: Inspect tool with content highlighting, includes new CSS Style Inspector.

– FIXED: Mac OS X only – after installing the latest Java release from Apple, Firefox may crash when closing a tab with a Java applet installed (700835).

– FIXED: Some users may experience a crash when moving bookmarks (681795)

– FIXED: Silverlight video may not play on some Macintosh hardware (715396).

Known Issues:
– UNRESOLVED: Two-digit browser version numbers may cause a small number of website incompatibilities (see 690287).

– UNRESOLVED: If you try to start Firefox using a locked profile, it will crash (see 573369).

– UNRESOLVED: For some users, scrolling in the main GMail window will be slower than usual (see 579260).

– UNRESOLVED: Some synaptic touch pads are unable to vertical scroll (see 622410).

– UNRESOLVED: Firefox notifications may not work properly with Growl 1.3 or later (see 691662) (Unresolved on v10 Resolved in v11).

– UNRESOLVED: Under certain conditions, scrolling and text input may be jerky (see 711900).

Firefox 10.0.1 requires an Intel-based Mac running Mac OS X 10.5 or later to install and run.

Recent Posts